Retrieve deposit instructions
Deposit instructions can be retrieved for a specific customer. The response contains bank account details for fiat rails or a wallet address for a supported stablecoin and network.
HTTP Request
GET
/v1/customers/{customer_id}/deposit_instructions
Path Parameters
| Parameter | Type | Description |
|---|---|---|
customer_id | string | UUID of the customer to retrieve instructions for |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
asset | string | Fiat currency filter, e.g. USD , or crypto asset symbol, e.g. USDC, USDT |
network | string | Bank rail filter, e.g. US_FEDWIRE, SWIFT, or blockchain network, e.g. ETHEREUM, SOLANA, BASE, ARBITRUM |
Headers
| Header | Description |
|---|---|
Authorization | Sandbox bearer token or production HMAC authorization (required; see Authentication) |
X-OM-Date | Request timestamp required for production HMAC authentication; omit for sandbox bearer authentication |
Content-Type | application/json |
Response Examples
Example: Fiat – US_FEDWIRE
US_FEDWIRE{
"asset": "USD",
"network": "US_FEDWIRE",
"bank_instruction": {
"bank_name": "Sample Bank Name",
"routing_number": "121140399",
"account_holder": "1Money",
"account_number": "123-456789-0",
"memorandum": "AC:0D123C4EE0F5",
"bic_code": "SSBAUS32",
"address": {
"full_address": "490 2nd St Suite 300, San Francisco, CA 94107",
"country_code": "USA",
"address_line1": "490 2nd St",
"address_line2": "Suite 300",
"city": "San Francisco",
"region": "CA",
"postal_code": "94107"
},
"transaction_fee": {
"value": "0.0005",
"asset": "USD"
}
},
"transaction_action": "DEPOSIT",
"created_at": "2025-08-21T07:56:57.981Z",
"modified_at": "2025-08-21T07:56:57.981Z"
}Example: Stablecoin – USDC
{
"asset": "USDC",
"network": "ETHEREUM",
"deposit_instruction_id": "wallet-uuid",
"wallet_instruction": {
"wallet_address": "0xa0C0f8248487B8f5bF2e9715d966CF29A704a494",
"minimum_deposit": "0.001",
"contract_address_url": "https://etherscan.io/address/0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
},
"transaction_action": "DEPOSIT",
"created_at": "2025-08-21T07:56:57.981Z",
"modified_at": "2025-08-21T07:56:57.981Z"
}Do not cache deposit instructions. Always retrieve deposit instructions from the API immediately before displaying them to your users or initiating a transfer. Bank account details, wallet addresses, reference codes, and other deposit information may change. Using stale deposit instructions can result in misrouted funds or failed transactions.
Updated about 2 months ago
Did this page help you?
